[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListEditor.SetEditText

Sets the cell value at the specified position.

## Declaration

Source position: valedit.pas line 172

`protected procedure TValueListEditor.SetEditText(`
`ACol: LongInt;`
`ARow: LongInt;`
`const Value: string`
`); override;`

## Arguments

`ACol` |  | Column number for the new value.
`ARow` |  | Row number for the new value.
`Value` |  | Value to store in the Cells for the control.

## Description

SetEditText is an overridden procedure used to set the value for the cell at the specified column and row position. SetEditText calls the inherited method, and stores the string in AValue in the Cells property.

## See also

TCustomStringGrid.Cells |  | Provides indexed access to a cell value by its column and row number.
TCustomStringGrid.SetEditText |  | Locks, updates, and unlocks the editor and cell text at the specified coordinates.